Bug 206296 - x86_64 seems to be broken
x86_64 seems to be broken
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mfstools (Show other bugs)
13
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: FE7Target
  Show dependency treegraph
 
Reported: 2006-09-13 11:16 EDT by Steven Pritchard
Modified: 2011-06-27 09:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 09:54:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2006-09-13 11:16:31 EDT
On the surface, it looks like the x86_64 mfstools package is broken.

# mfsinfo /dev/hdc
mfsinfo: Volume header corrupt.
# rpm -q --qf '%{n}-%{v}-%{r}.%{arch}\n' mfstools
mfstools-2.0-9.snapshot050221.fc5.x86_64

But after installing the i386 version:

# mfsinfo /dev/hdc
MFS volume set for /dev/hdc
The MFS volume set contains 4 partitions
  /dev/hdc10
    MFS Partition Size: 256MiB
  /dev/hdc11
    MFS Partition Size: 33055MiB
  /dev/hdc12
    MFS Partition Size: 256MiB
  /dev/hdc13
    MFS Partition Size: 41975MiB
Total MFS volume size: 75542MiB
Estimated hours in a standalone TiVo: 78
This MFS volume may be expanded 4 more times
# rpm -q --qf '%{n}-%{v}-%{r}.%{arch}\n' mfstools
mfstools-2.0-9.snapshot050221.fc5.i386
Comment 1 Steven Pritchard 2006-09-13 13:50:45 EDT
FWIW, the i386 version segfaults copying an 80GB TiVo drive to a 320GB drive.

# mfsbackup -Tao - /dev/hdc | mfsrestore -s 256 -xzpi - /dev/hda
Scanning source drive.  Please wait a moment.
Source drive size is 78 hours
Uncompressed backup size: 74441 megabytes
Backing up 0 of 74441 mb (0.00%)Segmentation fault
Comment 2 Tom "spot" Callaway 2006-09-14 19:31:59 EDT
OK, I just requested a build for -10, which has some new code from CVS that
might help here. Since I don't have the TiVo setup handy for this, I'm relying
on you to let me know if either of these issues are fixed. :)
Comment 3 Tom "spot" Callaway 2007-08-06 11:40:38 EDT
Closing this out. Reopen if it is still failing.
Comment 4 Steven Pritchard 2007-08-06 18:03:15 EDT
Sorry for not testing this sooner.  The good news is that I have a system I can
test this on and a drive to test with readily available now.

mfstools-2.0-11.snapshot050221.fc6.x86_64 doesn't work, but the .i386 package
does.  (Tested on Fedora 7.)

Comment 5 Tom "spot" Callaway 2007-08-24 11:45:31 EDT
OK, can you test this package for me:

http://www.auroralinux.org/people/spot/review/mfstools-2.0-12.mfslive1.3.fc8.x86_64.rpm
http://www.auroralinux.org/people/spot/review/mfstools-2.0-12.mfslive1.3.fc8.src.rpm

Please test both failure cases, if possible.
Comment 6 Steven Pritchard 2007-08-24 13:21:30 EDT
# mfsinfo /dev/sdd
done init
mfsinfo: Volume header corrupt.

Oh, and regarding comment #1:
> FWIW, the i386 version segfaults copying an 80GB TiVo drive to a 320GB drive.

I'll have to look for a drive to test this with.
Comment 7 Steven Pritchard 2007-08-25 13:18:55 EDT
FYI, i386 build fails under mock.

gcc -DHAVE_CONFIG_H -I. -I../include -I../include    -O2 -g -pipe -Wall -Wp,-D_F
ORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -m
arch=i386 -mtune=generic -fasynchronous-unwind-tables -D_GNU_SOURCE -MT readwrit
e.o -MD -MP -MF .deps/readwrite.Tpo -c -o readwrite.o readwrite.c
readwrite.c:46: error: expected declaration specifiers or '...' before '_llseek'
readwrite.c:46: error: expected declaration specifiers or '...' before 'fd'
readwrite.c:46: error: expected declaration specifiers or '...' before 'hi'
readwrite.c:46: error: expected declaration specifiers or '...' before 'lo'
readwrite.c:46: error: expected declaration specifiers or '...' before 'res'
readwrite.c:46: error: expected declaration specifiers or '...' before 'wh'
readwrite.c:46: warning: type defaults to 'int' in declaration of '_syscall5'
readwrite.c: In function 'tivo_partition_read':
readwrite.c:133: warning: implicit declaration of function '_llseek'
make[1]: *** [readwrite.o] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/mfstools/lib'
make: *** [all-recursive] Error 1
Comment 8 Steven Pritchard 2007-12-01 12:39:59 EST
I'm working on another TiVo today, so I thought I should note that
mfstools-2.0-12.snapshot050221.fc8.x86_64 still doesn't work.  I'm wondering if
a "solution" would be to just ExcludeArch: x86_64 for now (and maybe push the
i386 build to the x86_64 repo like we do with wine).

Oh, and the i386 version still might be on crack:

# mfsbackup -Tao - /dev/hdg | mfsrestore -s 127 -xzpi - /dev/hda
Scanning source drive.  Please wait a moment.
Source drive size is 39 hours
       - Upgraded to 126 hours
Uncompressed backup size: 111971 megabytes
Backing up 0 of 111971 mb (0.00%)Restore: Backup target not large enough for
entire backup by itself.
# fdisk -l /dev/hdg ; fdisk -l /dev/hda

Disk /dev/hdg: 120.0 GB, 120060444672 bytes
255 heads, 63 sectors/track, 14596 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

Disk /dev/hdg doesn't contain a valid partition table

Disk /dev/hda: 160.0 GB, 160041885696 bytes
255 heads, 63 sectors/track, 19457 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

Disk /dev/hda doesn't contain a valid partition table
Comment 9 Tom "spot" Callaway 2007-12-04 21:15:55 EST
FWIW, I'm not ignoring this. This is looking like its going to be a royal pain
in the butt to resolve, and will probably involve me buying at least one spare
drive and disassembling my TiVo. This is further complicated by the fact that
the HD in my Series Two is almost entirely dead (oh, the irony, I really could
use a working mfstools).

My guess is that fdisk isn't capable of parsing the partition table on the TiVo
formatted disk. Does parted have any better luck?
Comment 10 Bug Zapper 2008-05-14 08:02:59 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2008-11-25 20:50:21 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-11-18 03:08:16 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2010-03-15 07:51:16 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2011-06-02 14:42:38 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2011-06-27 09:54:18 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.